QoreSerializationContext Class Reference

serialization context object used in builtin serializer methods More...

`#include <common.h>`

## Public Member Functions

DLLLOCAL void | addModule (const char *module)
| adds a module to be loaded when the data is deserialized
DLLLOCAL int | serializeObject (const QoreObject &obj, std::string &index, ExceptionSink *xsink)
| serializes the given object and return the serialization index, throws a Qore-language exception if there is an error serializing the object
DLLLOCAL QoreValue | serializeValue (const QoreValue val, ExceptionSink *xsink)
| serializes the given value and returns a serialized value representing the value to be serialized, throws a Qore-language exception if there is an error deserializing the object

## Detailed Description

serialization context object used in builtin serializer methods

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/common.h